
// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

// default includes
#include <shiboken.h>
#include <sbkpep.h>
#include <sbkpepbuffer.h>

#define PYSIDE6_COMOPT_COMPRESS 1

#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QtCore/QDebug>
#include <pysideqenum.h>
#include <pysideutils.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED


// module include
#include "kcalendarcore_python.h"

// main header
#include "kcalendarcore_attachment_wrapper.h"

// Argument includes
#include <QString>
#include <attachment.h>
#include <qbytearray.h>
#include <qdatastream.h>
#include <qobject.h>
#include <qobjectdefs.h>

#include <cctype>
#include <cstring>
#include <iterator>
#include <type_traits>
#include <typeinfo>

using namespace KCalendarCore;

extern "C" {
static PyTypeObject *Sbk_KCalendarCore_Attachment_TypeF(void)
{
    return SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX].type;
}
} // extern "C"


// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_KCalendarCore_Attachment_Init(PyObject *self, PyObject *args, [[maybe_unused]] PyObject *kwds)
{
    auto *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::KCalendarCore::Attachment >()))
        return -1;

    ::KCalendarCore::Attachment *cptr{};
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp[2];
    const Py_ssize_t numArgs = PyTuple_Size(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {nullptr, nullptr};

    // invalid argument lengths
    errInfo.reset(Shiboken::checkInvalidArgumentCount(numArgs, 0, 2));
    if (!errInfo.isNull())
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    if (PyArg_ParseTuple(args, "|OO:Attachment", &(pyArgs[0]), &(pyArgs[1])) == 0)
        return -1;


    // Overloaded function decisor
    // 0: Attachment::Attachment()
    // 1: Attachment::Attachment(const KCalendarCore::Attachment&)
    // 2: Attachment::Attachment(const QByteArray&,const QString&=)
    // 3: Attachment::Attachment(const QString&,const QString&=)
    if (numArgs == 0) {
        overloadId = 0; // Attachment()
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[0])))) {
        if (numArgs == 1) {
            overloadId = 3; // Attachment(QString,QString)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[1])))) {
            overloadId = 3; // Attachment::Attachment(const QString&,const QString&=)
        }
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), (pyArgs[0])))) {
        if (numArgs == 1) {
            overloadId = 2; // Attachment(QByteArray,QString)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[1])))) {
            overloadId = 2; // Attachment::Attachment(const QByteArray&,const QString&=)
        }
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), (pyArgs[0])))) {
        overloadId = 1; // Attachment::Attachment(const KCalendarCore::Attachment&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Resolve keyword arguments
    switch (overloadId) {
        case 0: // Attachment::Attachment()
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                errInfo.reset(kwds);
                Py_INCREF(errInfo.object());
                return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);
            }
            break;
        }
        case 1: // Attachment::Attachment(const KCalendarCore::Attachment&)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                errInfo.reset(kwds);
                Py_INCREF(errInfo.object());
                return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);
            }
            break;
        }
        case 2: // Attachment::Attachment(const QByteArray&,const QString&=)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                static const Shiboken::ArgumentNameIndexMapping mapping[1] = {{"mime", 1}};
                if (!Shiboken::parseKeywordArguments(kwds, mapping, 1, errInfo, pyArgs)
                    || (pyArgs[1] != nullptr && !((pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[1])))))) {
                    Py_XINCREF(errInfo.object());
                    return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);
                }
            }
            break;
        }
        case 3: // Attachment::Attachment(const QString&,const QString&=)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                static const Shiboken::ArgumentNameIndexMapping mapping[1] = {{"mime", 1}};
                if (!Shiboken::parseKeywordArguments(kwds, mapping, 1, errInfo, pyArgs)
                    || (pyArgs[1] != nullptr && !((pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[1])))))) {
                    Py_XINCREF(errInfo.object());
                    return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);
                }
            }
            break;
        }
    }

    // PyMI support
    Shiboken::callInheritedInit(self, args, errInfo.isNull() ? kwds : errInfo.object(), SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);
    if (Shiboken::Errors::occurred() != nullptr)
        return -1;

    // Call function/method
    switch (overloadId) {
        case 0: // Attachment()
        {

            // Attachment::Attachment()
            cptr = new ::KCalendarCore::Attachment();
            break;
        }
        case 1: // Attachment(const KCalendarCore::Attachment &attachment)
        {
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::KCalendarCore::Attachment cppArg0_local;
            ::KCalendarCore::Attachment *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0].isValue())
                pythonToCpp[0](pyArgs[0], &cppArg0_local);
            else
                pythonToCpp[0](pyArgs[0], &cppArg0);


            if (Shiboken::Errors::occurred() == nullptr) {
                // Attachment::Attachment(const KCalendarCore::Attachment&)
                cptr = new ::KCalendarCore::Attachment(*cppArg0);
            }
            break;
        }
        case 2: // Attachment(const QByteArray &base64, const QString &mime)
        {
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::QByteArray cppArg0_local;
            ::QByteArray *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0].isValue())
                pythonToCpp[0](pyArgs[0], &cppArg0_local);
            else
                pythonToCpp[0](pyArgs[0], &cppArg0);

            ::QString cppArg1 = QString();
            if (pythonToCpp[1])
                pythonToCpp[1](pyArgs[1], &cppArg1);

            if (Shiboken::Errors::occurred() == nullptr) {
                // Attachment::Attachment(const QByteArray&,const QString&=)
                cptr = new ::KCalendarCore::Attachment(*cppArg0, cppArg1);
            }
            break;
        }
        case 3: // Attachment(const QString &uri, const QString &mime)
        {
            ::QString cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);
            ::QString cppArg1 = QString();
            if (pythonToCpp[1])
                pythonToCpp[1](pyArgs[1], &cppArg1);

            if (Shiboken::Errors::occurred() == nullptr) {
                // Attachment::Attachment(const QString&,const QString&=)
                cptr = new ::KCalendarCore::Attachment(cppArg0, cppArg1);
            }
            break;
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< ::KCalendarCore::Attachment >(), cptr)) {
        delete cptr;
        return -1;
    }
    if (cptr == nullptr)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    Shiboken::Object::setValidCpp(sbkSelf, true);
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);


    return 1;
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_data(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::data()const->QByteArray
        QByteArray cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->data();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_decodedData(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::decodedData()const->QByteArray
        QByteArray cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->decodedData();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_isBinary(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::isBinary()const->bool
        bool cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->isBinary();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_isEmpty(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::isEmpty()const->bool
        bool cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->isEmpty();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_isLocal(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::isLocal()const->bool
        bool cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->isLocal();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_isUri(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::isUri()const->bool
        bool cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->isUri();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_label(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::label()const->QString
        QString cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->label();
        pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_mimeType(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::mimeType()const->QString
        QString cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->mimeType();
        pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_setData(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attachment::setData(const QByteArray&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), (pyArg)))) {
        overloadId = 0; // Attachment::setData(const QByteArray&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setData", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QByteArray cppArg0_local;
        ::QByteArray *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (Shiboken::Errors::occurred() == nullptr) {
            // Attachment::setData(const QByteArray&)
            cppSelf->setData(*cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_setDecodedData(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attachment::setDecodedData(const QByteArray&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), (pyArg)))) {
        overloadId = 0; // Attachment::setDecodedData(const QByteArray&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setDecodedData", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QByteArray cppArg0_local;
        ::QByteArray *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (Shiboken::Errors::occurred() == nullptr) {
            // Attachment::setDecodedData(const QByteArray&)
            cppSelf->setDecodedData(*cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_setLabel(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attachment::setLabel(const QString&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArg)))) {
        overloadId = 0; // Attachment::setLabel(const QString&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setLabel", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // Attachment::setLabel(const QString&)
            cppSelf->setLabel(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_setLocal(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attachment::setLocal(bool)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), (pyArg)))) {
        overloadId = 0; // Attachment::setLocal(bool)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setLocal", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Call function/method
    {
        bool cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // Attachment::setLocal(bool)
            cppSelf->setLocal(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_setMimeType(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attachment::setMimeType(const QString&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArg)))) {
        overloadId = 0; // Attachment::setMimeType(const QString&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setMimeType", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // Attachment::setMimeType(const QString&)
            cppSelf->setMimeType(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_setShowInline(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attachment::setShowInline(bool)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), (pyArg)))) {
        overloadId = 0; // Attachment::setShowInline(bool)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setShowInline", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Call function/method
    {
        bool cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // Attachment::setShowInline(bool)
            cppSelf->setShowInline(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_setUri(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attachment::setUri(const QString&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArg)))) {
        overloadId = 0; // Attachment::setUri(const QString&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "setUri", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (Shiboken::Errors::occurred() == nullptr) {
            // Attachment::setUri(const QString&)
            cppSelf->setUri(cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_showInline(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::showInline()const->bool
        bool cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->showInline();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_size(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::size()const->uint
        uint cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->size();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<uint>(), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc_uri(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attachment::uri()const->QString
        QString cppResult = const_cast<const ::KCalendarCore::Attachment *>(cppSelf)->uri();
        pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_Attachment__copy__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto &cppSelf = *reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult = Shiboken::Conversions::copyToPython(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), &cppSelf);
    if (Shiboken::Errors::occurred() != nullptr || pyResult == nullptr) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}


static const char *Sbk_KCalendarCore_Attachment_PropertyStrings[] = {
    "isBinary:",
    "isEmpty:",
    "isLocal::setLocal",
    "isUri:",
    "label::",
    "mimeType::",
    "showInline::",
    "size:",
    "uri::",
    nullptr // Sentinel
};

static PyMethodDef Sbk_KCalendarCore_Attachment_methods[] = {
    {"data", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_data), METH_NOARGS, nullptr},
    {"decodedData", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_decodedData), METH_NOARGS, nullptr},
    {"isBinary", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_isBinary), METH_NOARGS, nullptr},
    {"isEmpty", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_isEmpty), METH_NOARGS, nullptr},
    {"isLocal", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_isLocal), METH_NOARGS, nullptr},
    {"isUri", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_isUri), METH_NOARGS, nullptr},
    {"label", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_label), METH_NOARGS, nullptr},
    {"mimeType", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_mimeType), METH_NOARGS, nullptr},
    {"setData", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_setData), METH_O, nullptr},
    {"setDecodedData", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_setDecodedData), METH_O, nullptr},
    {"setLabel", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_setLabel), METH_O, nullptr},
    {"setLocal", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_setLocal), METH_O, nullptr},
    {"setMimeType", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_setMimeType), METH_O, nullptr},
    {"setShowInline", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_setShowInline), METH_O, nullptr},
    {"setUri", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_setUri), METH_O, nullptr},
    {"showInline", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_showInline), METH_NOARGS, nullptr},
    {"size", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_size), METH_NOARGS, nullptr},
    {"uri", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_AttachmentFunc_uri), METH_NOARGS, nullptr},
    {"__copy__", reinterpret_cast<PyCFunction>(Sbk_KCalendarCore_Attachment__copy__), METH_NOARGS, nullptr},
    {nullptr, nullptr, 0, nullptr} // Sentinel
};

static PyObject *Sbk_KCalendarCore_AttachmentFunc___lshift__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), pyArg)
                    && !SbkObject_TypeCheck(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    static PyObject *attrName = Shiboken::PyMagicName::rlshift();
    if (!isReverse
        && Shiboken::Object::checkType(pyArg)
        && !PyObject_TypeCheck(pyArg, self->ob_type)
        && PyObject_HasAttr(pyArg, attrName)) {
        PyObject *revOpMethod = PyObject_GetAttr(pyArg, attrName);
        if (revOpMethod && PyCallable_Check(revOpMethod)) {
            pyResult = PyObject_CallFunction(revOpMethod, "O", self);
            if (Shiboken::Errors::occurred() != nullptr && (PyErr_ExceptionMatches(PyExc_NotImplementedError) || PyErr_ExceptionMatches(PyExc_AttributeError))) {
                PyErr_Clear();
                Py_XDECREF(pyResult);
                pyResult = nullptr;
            }
        }
        Py_XDECREF(revOpMethod);

    }

    // Do not enter here if other object has implemented a reverse operator.
    if (pyResult == nullptr) {
        // Overloaded function decisor
        // 0: Attachment::operator<<(QDataStream&)->QDataStream& [free reverse operator]
        if (isReverse
            && (pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QDataStream_IDX]), (pyArg)))) {
            overloadId = 0; // Attachment::operator<<(QDataStream&)->QDataStream& [free reverse operator]
        }

        if (isReverse && overloadId == -1) {
            Shiboken::Errors::setReverseOperatorNotImplemented();
            return {};
        }

        // Function signature not found.
        if (overloadId == -1)
            return Shiboken::returnWrongArguments(pyArg, "operator<<", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

        // Call function/method
        {
            if (!Shiboken::Object::isValid(pyArg))
                return {};
            ::QDataStream *cppArg0;
            pythonToCpp(pyArg, &cppArg0);

            if (Shiboken::Errors::occurred() == nullptr) {
                // Attachment::operator<<(QDataStream&)->QDataStream& [free reverse operator]
                QDataStream & cppResult = (*cppArg0) << (*cppSelf);
                pyResult = Shiboken::Conversions::referenceToPython(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QDataStream_IDX]), &cppResult);
            }
        }

    } // End of "if (!pyResult)"

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_KCalendarCore_AttachmentFunc___rshift__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), pyArg)
                    && !SbkObject_TypeCheck(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    static PyObject *attrName = Shiboken::PyMagicName::rrshift();
    if (!isReverse
        && Shiboken::Object::checkType(pyArg)
        && !PyObject_TypeCheck(pyArg, self->ob_type)
        && PyObject_HasAttr(pyArg, attrName)) {
        PyObject *revOpMethod = PyObject_GetAttr(pyArg, attrName);
        if (revOpMethod && PyCallable_Check(revOpMethod)) {
            pyResult = PyObject_CallFunction(revOpMethod, "O", self);
            if (Shiboken::Errors::occurred() != nullptr && (PyErr_ExceptionMatches(PyExc_NotImplementedError) || PyErr_ExceptionMatches(PyExc_AttributeError))) {
                PyErr_Clear();
                Py_XDECREF(pyResult);
                pyResult = nullptr;
            }
        }
        Py_XDECREF(revOpMethod);

    }

    // Do not enter here if other object has implemented a reverse operator.
    if (pyResult == nullptr) {
        // Overloaded function decisor
        // 0: Attachment::operator>>(QDataStream&)->QDataStream& [free reverse operator]
        if (isReverse
            && (pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QDataStream_IDX]), (pyArg)))) {
            overloadId = 0; // Attachment::operator>>(QDataStream&)->QDataStream& [free reverse operator]
        }

        if (isReverse && overloadId == -1) {
            Shiboken::Errors::setReverseOperatorNotImplemented();
            return {};
        }

        // Function signature not found.
        if (overloadId == -1)
            return Shiboken::returnWrongArguments(pyArg, "operator>>", SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]);

        // Call function/method
        {
            if (!Shiboken::Object::isValid(pyArg))
                return {};
            ::QDataStream *cppArg0;
            pythonToCpp(pyArg, &cppArg0);

            if (Shiboken::Errors::occurred() == nullptr) {
                // Attachment::operator>>(QDataStream&)->QDataStream& [free reverse operator]
                QDataStream & cppResult = (*cppArg0) >> (*cppSelf);
                pyResult = Shiboken::Conversions::referenceToPython(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QDataStream_IDX]), &cppResult);
            }
        }

    } // End of "if (!pyResult)"

    return Sbk_ReturnFromPython_Result(pyResult);
}

// Rich comparison
static PyObject * Sbk_KCalendarCore_Attachment_richcompare(PyObject *self, PyObject *pyArg, int op)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto &cppSelf = *reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    switch (op) {
        case Py_NE:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), (pyArg)))) {
                // Attachment::operator!=(const KCalendarCore::Attachment&)const->bool
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::KCalendarCore::Attachment cppArg0_local;
                ::KCalendarCore::Attachment *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf != (*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_True;
                Py_INCREF(pyResult);
            }

            break;
        case Py_EQ:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), (pyArg)))) {
                // Attachment::operator==(const KCalendarCore::Attachment&)const->bool
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::KCalendarCore::Attachment cppArg0_local;
                ::KCalendarCore::Attachment *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf == (*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_False;
                Py_INCREF(pyResult);
            }

            break;
        default:
            // PYSIDE-74: By default, we redirect to object's tp_richcompare (which is `==`, `!=`).
            return FallbackRichCompare(self, pyArg, op);
    }

    return Shiboken::returnFromRichCompare(pyResult);
}

} // extern "C"

static int Sbk_KCalendarCore_Attachment_traverse(PyObject *self, visitproc visit, void *arg)
{
    auto traverseProc = reinterpret_cast<traverseproc>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_traverse));
    ;
    return traverseProc(self, visit, arg);
}
static int Sbk_KCalendarCore_Attachment_clear(PyObject *self)
{
    auto clearProc = reinterpret_cast<inquiry>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_clear));
    ;
    return clearProc(self);
}

// Class Definition -----------------------------------------------
extern "C" {

static PyType_Slot Sbk_KCalendarCore_Attachment_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_KCalendarCore_Attachment_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_KCalendarCore_Attachment_clear)},
    {Py_tp_richcompare, reinterpret_cast<void *>(Sbk_KCalendarCore_Attachment_richcompare)},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_KCalendarCore_Attachment_methods)},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_KCalendarCore_Attachment_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObject_tp_new)},
    // type supports number protocol
    {Py_nb_lshift,      reinterpret_cast<void *>(Sbk_KCalendarCore_AttachmentFunc___lshift__)},
    {Py_nb_rshift,      reinterpret_cast<void *>(Sbk_KCalendarCore_AttachmentFunc___rshift__)},
    {0, nullptr}
};
static PyType_Spec Sbk_KCalendarCore_Attachment_spec = {
    "1:KCalendarCore.KCalendarCore.Attachment",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_KCalendarCore_Attachment_slots
};

} //extern "C"

// Type conversion functions.

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void Attachment_PythonToCpp_Attachment_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_KCalendarCore_Attachment_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_Attachment_PythonToCpp_Attachment_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, Sbk_KCalendarCore_Attachment_TypeF()))
        return Attachment_PythonToCpp_Attachment_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *Attachment_PTR_CppToPython_Attachment(const void *cppIn)
{
    auto *pyOut = reinterpret_cast<PyObject *>(Shiboken::BindingManager::instance().retrieveWrapper(cppIn, Sbk_KCalendarCore_Attachment_TypeF()));
    if (pyOut) {
        Py_INCREF(pyOut);
        return pyOut;
    }
    return Shiboken::Object::newObjectWithHeuristics(Sbk_KCalendarCore_Attachment_TypeF(), const_cast<void *>(cppIn), false);

}

// C++ to Python copy conversion.
static PyObject *Attachment_COPY_CppToPython_Attachment(const void *cppIn)
{
    auto *source = reinterpret_cast<const ::KCalendarCore::Attachment *>(cppIn);
    return Shiboken::Object::newObject(Sbk_KCalendarCore_Attachment_TypeF(), new ::KCalendarCore::Attachment(*source), true, true);
}

// Python to C++ copy conversion.
static void Attachment_PythonToCpp_Attachment_COPY(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::KCalendarCore::Attachment *>(cppOut) = *reinterpret_cast< ::KCalendarCore::Attachment *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX]), reinterpret_cast<SbkObject *>(pyIn)));
}
static PythonToCppFunc is_Attachment_PythonToCpp_Attachment_COPY_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, Sbk_KCalendarCore_Attachment_TypeF()))
        return Attachment_PythonToCpp_Attachment_COPY;
    return {};
}

// Implicit conversions.
static void PySide6_QtCore_constQByteArrayREF_PythonToCpp_KCalendarCore_Attachment(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::KCalendarCore::Attachment *>(cppOut) = ::KCalendarCore::Attachment( *reinterpret_cast< ::QByteArray *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), reinterpret_cast<SbkObject *>(pyIn))));
}
static PythonToCppFunc is_PySide6_QtCore_constQByteArrayREF_PythonToCpp_KCalendarCore_Attachment_Convertible(PyObject *pyIn)
{
    if (SbkObject_TypeCheck(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), pyIn))
        return PySide6_QtCore_constQByteArrayREF_PythonToCpp_KCalendarCore_Attachment;
    return {};
}

static void PySide6_QtCore_constQStringREF_PythonToCpp_KCalendarCore_Attachment(PyObject *pyIn, void *cppOut)
{
    ::QString cppIn;
    Shiboken::Conversions::pythonToCppCopy(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], pyIn, &cppIn);
    *reinterpret_cast<::KCalendarCore::Attachment *>(cppOut) = ::KCalendarCore::Attachment(cppIn);
}
static PythonToCppFunc is_PySide6_QtCore_constQStringREF_PythonToCpp_KCalendarCore_Attachment_Convertible(PyObject *pyIn)
{
    if (PyUnicode_Check(pyIn))
        return PySide6_QtCore_constQStringREF_PythonToCpp_KCalendarCore_Attachment;
    return {};
}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
#if PYSIDE6_COMOPT_COMPRESS == 0
static const char *KCalendarCore_Attachment_SignatureStrings[] = {
    "3:KCalendarCore.KCalendarCore.Attachment(self,*:KeywordOnly=None,isEmpty:bool=None,uri:QString=None,isUri:bool=None,isBinary:bool=None,size:int=None,mimeType:QString=None,showInline:bool=None,label:QString=None,isLocal:bool=None)",
    "2:KCalendarCore.KCalendarCore.Attachment(self,attachment:KCalendarCore.KCalendarCore.Attachment,*:KeywordOnly=None,isEmpty:bool=None,uri:QString=None,isUri:bool=None,isBinary:bool=None,size:int=None,mimeType:QString=None,showInline:bool=None,label:QString=None,isLocal:bool=None)",
    "1:KCalendarCore.KCalendarCore.Attachment(self,base64:typing.Union[PySide6.QtCore.QByteArray, char*],mime:QString=QString(),*:KeywordOnly=None,isEmpty:bool=None,uri:QString=None,isUri:bool=None,isBinary:bool=None,size:int=None,mimeType:QString=None,showInline:bool=None,label:QString=None,isLocal:bool=None)",
    "0:KCalendarCore.KCalendarCore.Attachment(self,uri:QString,mime:QString=QString(),*:KeywordOnly=None,isEmpty:bool=None,uri:QString=None,isUri:bool=None,isBinary:bool=None,size:int=None,mimeType:QString=None,showInline:bool=None,label:QString=None,isLocal:bool=None)",
    "KCalendarCore.KCalendarCore.Attachment.data(self)->PySide6.QtCore.QByteArray",
    "KCalendarCore.KCalendarCore.Attachment.decodedData(self)->PySide6.QtCore.QByteArray",
    "KCalendarCore.KCalendarCore.Attachment.isBinary(self)->bool",
    "KCalendarCore.KCalendarCore.Attachment.isEmpty(self)->bool",
    "KCalendarCore.KCalendarCore.Attachment.isLocal(self)->bool",
    "KCalendarCore.KCalendarCore.Attachment.isUri(self)->bool",
    "KCalendarCore.KCalendarCore.Attachment.label(self)->QString",
    "KCalendarCore.KCalendarCore.Attachment.mimeType(self)->QString",
    "KCalendarCore.KCalendarCore.Attachment.setData(self,base64:typing.Union[PySide6.QtCore.QByteArray, char*])",
    "KCalendarCore.KCalendarCore.Attachment.setDecodedData(self,data:typing.Union[PySide6.QtCore.QByteArray, char*])",
    "KCalendarCore.KCalendarCore.Attachment.setLabel(self,label:QString)",
    "KCalendarCore.KCalendarCore.Attachment.setLocal(self,local:bool)",
    "KCalendarCore.KCalendarCore.Attachment.setMimeType(self,mime:QString)",
    "KCalendarCore.KCalendarCore.Attachment.setShowInline(self,showinline:bool)",
    "KCalendarCore.KCalendarCore.Attachment.setUri(self,uri:QString)",
    "KCalendarCore.KCalendarCore.Attachment.showInline(self)->bool",
    "KCalendarCore.KCalendarCore.Attachment.size(self)->uint",
    "KCalendarCore.KCalendarCore.Attachment.uri(self)->QString",
    "KCalendarCore.KCalendarCore.Attachment.__copy__(self)->typing._Self",
    "KCalendarCore.KCalendarCore.Attachment.__lshift__(self,out:PySide6.QtCore.QDataStream)->PySide6.QtCore.QDataStream",
    "KCalendarCore.KCalendarCore.Attachment.__rshift__(self,in:PySide6.QtCore.QDataStream)->PySide6.QtCore.QDataStream",
    "KCalendarCore.KCalendarCore.Attachment.__ne__(self,attachment:typing.Union[KCalendarCore.KCalendarCore.Attachment, PySide6.QtCore.QByteArray, QString])->bool",
    "KCalendarCore.KCalendarCore.Attachment.__eq__(self,attachment:typing.Union[KCalendarCore.KCalendarCore.Attachment, PySide6.QtCore.QByteArray, QString])->bool",
    nullptr}; // Sentinel
#else
static constexpr size_t KCalendarCore_Attachment_SignatureByteSize = 442;
static constexpr uint8_t KCalendarCore_Attachment_SignatureBytes[442] = {
    0x78, 0xda, 0xdd, 0x56, 0xcb, 0x6a, 0xc3, 0x30, 0x10, 0xbc, 0xf7, 0x2b, 0x72, 0x8c, 0x83, 0x6b,
    0xfa, 0x22, 0x07, 0x43, 0x0b, 0x49, 0xda, 0x43, 0x49, 0xfa, 0x08, 0x69, 0x4e, 0x25, 0x18, 0xc5,
    0xde, 0xd4, 0x02, 0x59, 0x72, 0x65, 0x99, 0xa0, 0x7e, 0x7d, 0x6d, 0xc7, 0xf2, 0x23, 0xb4, 0x45,
    0x32, 0x0d, 0x25, 0x3d, 0x19, 0xc9, 0x9a, 0xd9, 0xd5, 0xec, 0xec, 0xa2, 0x4b, 0x77, 0x3a, 0x41,
    0x04, 0x68, 0x80, 0xf8, 0x84, 0x71, 0x70, 0xda, 0xab, 0x91, 0x10, 0xc8, 0x0f, 0x23, 0xa0, 0xa2,
    0x9f, 0x00, 0xd9, 0xd8, 0x03, 0x77, 0x0a, 0x72, 0xcb, 0x78, 0xf0, 0x44, 0x89, 0xbc, 0x7e, 0x64,
    0x14, 0x6c, 0x9c, 0xdc, 0x45, 0xb1, 0x90, 0xee, 0x9a, 0x31, 0xb2, 0xdb, 0x49, 0x39, 0x76, 0xe7,
    0x0b, 0xc1, 0x31, 0x7d, 0x53, 0x47, 0x96, 0xd9, 0x56, 0x7d, 0x00, 0x27, 0x63, 0x4c, 0x11, 0x6f,
    0x62, 0x12, 0xfc, 0x01, 0x2e, 0xa6, 0x62, 0xb7, 0x8a, 0x70, 0x04, 0x2f, 0x32, 0x86, 0x36, 0x4d,
    0x12, 0xb2, 0xed, 0x3d, 0x25, 0x98, 0x42, 0x03, 0x48, 0xd0, 0x1a, 0xc8, 0x7e, 0xb8, 0x19, 0xf3,
    0x11, 0xa9, 0x0f, 0x59, 0x27, 0x17, 0x46, 0xb7, 0x44, 0xd5, 0x5a, 0x13, 0x76, 0xb4, 0xba, 0x9c,
    0x1b, 0xe9, 0xb2, 0x46, 0x09, 0x0c, 0xaf, 0x5c, 0x21, 0xe3, 0x8c, 0xd3, 0x59, 0x52, 0xcc, 0xe8,
    0xeb, 0xb3, 0x5c, 0xe0, 0x00, 0x86, 0xce, 0x5c, 0x14, 0x90, 0xf9, 0x58, 0x0a, 0x18, 0x71, 0x8e,
    0xa4, 0xdd, 0xf3, 0x43, 0xc4, 0x07, 0xab, 0x22, 0xe9, 0x2a, 0x91, 0xf2, 0xdb, 0xb7, 0x8e, 0x56,
    0xb2, 0x33, 0x23, 0xc9, 0x1a, 0x17, 0xf8, 0x6f, 0x42, 0xe8, 0xc9, 0xe0, 0x04, 0x48, 0xa0, 0x42,
    0x0b, 0xeb, 0xf4, 0xe6, 0x5b, 0xb3, 0x68, 0x93, 0x81, 0xcf, 0x02, 0x08, 0x6e, 0x7f, 0x93, 0x53,
    0x29, 0xa7, 0x08, 0xf3, 0x2b, 0xea, 0x63, 0x8b, 0x42, 0x75, 0x83, 0x16, 0x8a, 0x76, 0x83, 0x66,
    0xb5, 0xef, 0x02, 0x2c, 0x0a, 0xab, 0x80, 0x65, 0x7d, 0x75, 0xb1, 0xca, 0x3f, 0x1d, 0xe1, 0x09,
    0x88, 0xaa, 0x6a, 0xdd, 0x06, 0x89, 0x65, 0x12, 0x6a, 0xcf, 0x27, 0x76, 0xee, 0xc2, 0x03, 0xc6,
    0x9b, 0x55, 0xc2, 0xb6, 0x9b, 0xc7, 0x88, 0xa3, 0xb2, 0x83, 0x4d, 0xaa, 0x5e, 0x33, 0x21, 0x78,
    0x68, 0x56, 0xa8, 0x35, 0x6d, 0x4c, 0x58, 0x16, 0xd5, 0x44, 0xd8, 0xf1, 0xe4, 0x13, 0x02, 0xd7,
    0x13, 0xc2, 0x84, 0x4a, 0xb9, 0xb4, 0x39, 0xbd, 0xf4, 0xf1, 0xed, 0x3c, 0x0c, 0x9d, 0x9e, 0xcf,
    0x3e, 0x85, 0x4b, 0xb3, 0x19, 0xa8, 0x8b, 0x4b, 0xeb, 0xc6, 0x32, 0x34, 0xb8, 0xe7, 0xf9, 0x2c,
    0x96, 0x9e, 0xa7, 0xe0, 0xa5, 0xd9, 0xbc, 0x45, 0xb6, 0xd4, 0xe7, 0x20, 0x49, 0x88, 0x37, 0xa2,
    0x64, 0xb1, 0x59, 0x2a, 0xdc, 0x7d, 0x9f, 0xe6, 0x9e, 0xce, 0x32, 0x03, 0x14, 0x7d, 0x31, 0xfc,
    0xea, 0x9f, 0xfa, 0x21, 0x79, 0x2b, 0x24, 0xa6, 0x87, 0x8f, 0x48, 0x41, 0x45, 0x6b, 0xbc, 0xb4,
    0x5a, 0xcd, 0xa9, 0xf9, 0xec, 0xea, 0xfd, 0xd0, 0xc4, 0x65, 0xf9, 0x56, 0x86, 0xc6, 0xf1, 0x3c,
    0x78, 0xff, 0x83, 0xec, 0x3e, 0x01, 0x39, 0x14, 0x34, 0xfc
};
#endif

PyTypeObject *init_KCalendarCore_Attachment(PyObject *enclosingClass)
{
    auto &typeStruct = SbkKCalendarCoreTypeStructs[SBK_KCalendarCore_Attachment_IDX];
    if (typeStruct.type != nullptr)
        return typeStruct.type;

    auto *base1 = SbkObject_TypeF();
    Shiboken::AutoDecRef Sbk_KCalendarCore_Attachment_Type_bases(PyTuple_Pack(1, base1));

    PyTypeObject *pyType = Shiboken::ObjectType::introduceWrapperType(
        enclosingClass,
        "Attachment",
        "KCalendarCore::Attachment",
        &Sbk_KCalendarCore_Attachment_spec,
        &Shiboken::callCppDestructor< ::KCalendarCore::Attachment >,
        Sbk_KCalendarCore_Attachment_Type_bases.object(),
        Shiboken::ObjectType::WrapperFlags::InnerClass | Shiboken::ObjectType::WrapperFlags::Value);
#if PYSIDE6_COMOPT_COMPRESS == 0
    InitSignatureStrings(pyType, KCalendarCore_Attachment_SignatureStrings);
#else
    InitSignatureBytes(pyType, KCalendarCore_Attachment_SignatureBytes, KCalendarCore_Attachment_SignatureByteSize);
#endif
    SbkObjectType_SetPropertyStrings(pyType, Sbk_KCalendarCore_Attachment_PropertyStrings);
    typeStruct.type = pyType;

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(pyType,
        Attachment_PythonToCpp_Attachment_PTR,
        is_Attachment_PythonToCpp_Attachment_PTR_Convertible,
        Attachment_PTR_CppToPython_Attachment,
        Attachment_COPY_CppToPython_Attachment);

    Shiboken::Conversions::registerConverterName(converter, "KCalendarCore::Attachment");
    Shiboken::Conversions::registerConverterName(converter, "KCalendarCore::Attachment*");
    Shiboken::Conversions::registerConverterName(converter, "KCalendarCore::Attachment&");
    Shiboken::Conversions::registerConverterAlias(converter, "Attachment");
    Shiboken::Conversions::registerConverterAlias(converter, "Attachment*");
    Shiboken::Conversions::registerConverterAlias(converter, "Attachment&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::KCalendarCore::Attachment).name());

    // Add Python to C++ copy (value, not pointer neither reference) conversion to type converter.
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        Attachment_PythonToCpp_Attachment_COPY,
        is_Attachment_PythonToCpp_Attachment_COPY_Convertible);
    // Add implicit conversions to type converter.
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        PySide6_QtCore_constQByteArrayREF_PythonToCpp_KCalendarCore_Attachment,
        is_PySide6_QtCore_constQByteArrayREF_PythonToCpp_KCalendarCore_Attachment_Convertible);
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        PySide6_QtCore_constQStringREF_PythonToCpp_KCalendarCore_Attachment,
        is_PySide6_QtCore_constQStringREF_PythonToCpp_KCalendarCore_Attachment_Convertible);

    qRegisterMetaType< ::KCalendarCore::Attachment >("Attachment");
    qRegisterMetaType< ::KCalendarCore::Attachment >("KCalendarCore::Attachment");

    return pyType;
}
